OgreShaderParameter.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreVector2.h"`
`#include "OgreVector3.h"`
`#include "OgreVector4.h"`
`#include "OgreMatrix4.h"`

Go to the source code of this file.

## Classes

class | Ogre::RTShader::Parameter
| A class that represents a shader based program parameter. More...
class | Ogre::RTShader::UniformParameter
| Uniform parameter class. More...
class | Ogre::RTShader::ConstParameter< valueType >
| Helper template which is the base for our ConstParameters. More...
class | Ogre::RTShader::ParameterFactory
| Helper utility class that creates common parameters. More...

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Typedefs

typedef SharedPtr< Parameter > | Ogre::RTShader::ParameterPtr
typedef vector< ParameterPtr > ::type | Ogre::RTShader::ShaderParameterList
typedef ShaderParameterList::iterator | Ogre::RTShader::ShaderParameterIterator
typedef ShaderParameterList::const_iterator | Ogre::RTShader::ShaderParameterConstIterator
typedef SharedPtr < UniformParameter > | Ogre::RTShader::UniformParameterPtr
typedef vector < UniformParameterPtr >::type | Ogre::RTShader::UniformParameterList
typedef UniformParameterList::iterator | Ogre::RTShader::UniformParameterIterator
typedef UniformParameterList::const_iterator | Ogre::RTShader::UniformParameterConstIterator

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25